Name:       perl-App-Cache
Version:    0.36
Release:    1%{?dist}
# lib/App/Cache.pm -> GPL+ or Artistic
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Easy application-level caching
Source:     http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/App-Cache-%{version}.tar.gz
Url:        http://search.cpan.org/dist/App-Cache
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::stat)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Storable)
# testing
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)

# 'use base' strikes again...
Requires:      perl(Class::Accessor::Chained::Fast)

### auto-added reqs!
Requires:       perl(File::Find::Rule)
Requires:       perl(File::HomeDir)
Requires:       perl(File::stat)
Requires:       perl(HTTP::Cookies)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Path::Class)
Requires:       perl(Storable)

%description
The App::Cache module lets an application cache data locally. There are a
few times an application would need to cache data: when it is retrieving
information from the network or when it has to complete a large calculation.
For example, the Parse::BACKPAN::Packages module downloads a file off the
net and parses it, creating a data structure. Only then can it actually
provide any useful information for the programmer. Parse::BACKPAN::Packages
uses App::Cache to cache both the file download and data structures,
providing much faster use when the data is cached. This module stores data
in the home directory of the user, in a dot directory. For example, the
Parse::BACKPAN::Packages cache is actually stored underneath
"~/.parse_backpan_packages/cache/". This is so that permisssions are not a
problem -- it is a per-user, per-application cache.

%prep
%setup -q -n App-Cache-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sat Aug 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.36-1
- auto-update to 0.36 (by cpan-spec-update 0.01)
- added a new req on perl(File::Find::Rule) (version 0)
- added a new req on perl(File::HomeDir) (version 0)
- added a new req on perl(File::stat) (version 0)
- added a new req on perl(HTTP::Cookies) (version 0)
- added a new req on perl(LWP::UserAgent) (version 0)
- added a new req on perl(Path::Class) (version 0)
- added a new req on perl(Storable) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 05 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.35-1
- submission

* Thu Mar 05 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.35-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
